aboutsummaryrefslogtreecommitdiffstats
path: root/main/libksba
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-29 08:45:29 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-29 08:47:22 +0000
commit8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc (patch)
treee1bdd0bbb491926306c1e43e72dabbbe235f4b62 /main/libksba
parent832a032dd3794c5cc3e67f4ee580e171996e8e29 (diff)
downloadaports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.gz
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.bz2
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.xz
main/[various]: update config.sub (and remove charset.alias)
for musl build. the changes are automatically done based on previous build log errors, so this does not guarantee successful build, but is a required.
Diffstat (limited to 'main/libksba')
-rw-r--r--main/libksba/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/libksba/APKBUILD b/main/libksba/APKBUILD
index f257c8e804..0b4c6cb16f 100644
--- a/main/libksba/APKBUILD
+++ b/main/libksba/APKBUILD
@@ -11,8 +11,15 @@ makedepends="libgpg-error-dev"
subpackages="$pkgname-dev $pkgname-doc"
source="ftp://ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build () {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -22,7 +29,7 @@ build () {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/*.la
}